/* -*- Mode: javascript; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */

// Default start page
//pref("mailnews.start_page.url","http://live.mozillamessaging.com/%APP%/start?locale=%LOCALE%&version=%VERSION%&os=%OS%&buildid=%APPBUILDID%");
pref("mailnews.start_page.url","http://www.auf.org/");

// intervalle de vérification des nouvelles versions (en secondes)
pref("app.update.interval", 0); // nightly=8 hours, official=24 hours

pref("app.update.enabled", false);
pref("app.update.auto", false);

pref("network.hosts.smtp_server", "mail");
pref("network.hosts.pop_server", "mail");

pref("mail.smtpserver.default.authMethod", 8);
pref("mail.smtpserver.default.auth_method", 1);
pref("mail.smtpserver.default.port", 587);
pref("mail.smtpserver.default.try_ssl", 2);

// Mail server preferences, pop by default
pref("mail.server_type", 1); // 0 pop, 1 imap; (Unix only:) 2 movemail, 3 inbox.
pref("mail.leave_on_server", true);

// anti-spam
pref("mail.server.default.moveOnSpam", true);
pref("mail.server.default.moveTargetMode", 0); // 0 == "Junk" on server, 1 == specific folder
pref("mail.server.default.purgeSpam", true);
pref("mail.server.default.purgeSpamInterval", 30); // 30 days
pref("mail.server.default.useServerFilter", true);
pref("mail.server.default.serverFilterName", "SpamAssassin");

// on accepte de charger automatiquement les images venant de nos serveurs
pref("mail.trusteddomains", "auf,auf.org,refer.org");

// par défaut, désactivation de l'indexation globale
// cf https://redmine.auf.org/issues/199
pref("mailnews.database.global.indexer.enabled", false);

// Change the reply header
// 0 - No Reply-Text
// 1 - "[Author] wrote:"
// 2 - "On [date] [author] wrote:"
// 3 - User-defined reply header. Use the prefs below in conjunction with this:
pref("mailnews.reply_header_type", 2);

// If you set 3 for the pref above then you may set the following prefs.
//user_pref("mailnews.reply_header_authorwrote", "%s said the following");
//user_pref("mailnews.reply_header_ondate", "on %s");
//user_pref("mailnews.reply_header_separator", " ");
//user_pref("mailnews.reply_header_colon", ":");
// The end result will be [authorwrote][separator][ondate][colon]

// Lightning : la semaine commence le lundi (en général)
pref("calendar.week.start", 1);

